%global srcname jabber_roster

Name:           jabber-roster
Version:        0.1.0
Release:        1%{?dist}
Summary:        A Python tool for listing your Jabber roster contacts

Group:          Applications/Internet
License:        AGPLv3
URL:            https://launchpad.net/jabber-roster
Source0:        http://launchpad.net/%{name}/trunk/0.1.0/+download/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-xmpp


%description
A small Python tool for listing your Jabber roster contacts. You can
use it to easily backup list of your buddies.


%prep
%setup -q
sed -i -e '/^#!\//, 1d' jabber_roster.py


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{python_sitelib}/%{srcname}.p*
%{python_sitelib}/%{srcname}-*.egg-info


%changelog
* Mon Nov 01 2010 Fabian Affolter <fabian@bernewireless.net> - 0.1.0-1
- Initial package
